<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
IGAC proyecto SNC
@author 		christian.rodriguez
@description  	Página asociada al caso de uso CU-SA-AC-146 Reclasificar Trámite o Documento 
@ManagedBean 	ReclasificacionDocumentoTramiteMB
@version  		2.0
@cu             CU-SA-AC-146 Reclasificar Trámite o Documento
-->

<h:form id="reclasificarDocTraForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:p="http://primefaces.org/ui" >

    <p:focus />
    <p:messages id="reclasificarDocTraMSG" showDetail="false"
                globalOnly="false" />

    <p:fieldset>
        <h:panelGrid columns="4"
                     columnClasses="colPequena, colMediana, colPequena, colMediana">

            <h:outputLabel value="Radicación:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{reclasificarDocTra.radicacionNuevaSeleccionada.numeroRadicacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Solicitante:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{reclasificarDocTra.radicacionNuevaSeleccionada.nombreSolicitante}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Fecha radicación:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{reclasificarDocTra.radicacionNuevaSeleccionada.fechaRadicacion}">
                <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
            </h:outputText>


            <h:outputLabel value="Tipo empresa:" styleClass="outputLabelStyle" />
            <h:outputText value="#{reclasificarDocTra.radicacionNuevaSeleccionada.tipoPersona}"
                          styleClass="outputTextStyle" />

            <h:outputLabel value="Departamento origen:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{reclasificarDocTra.radicacionNuevaSeleccionada.nombreDepartamento}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Municipio origen:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{reclasificarDocTra.radicacionNuevaSeleccionada.nombreMunicipio}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Tipo trámite/documento:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{reclasificarDocTra.radicacionNuevaSeleccionada.nombreTramite}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Tipo trámite/documento correcto:"
                           styleClass="outputLabelStyle" />
            <h:panelGrid columns="2">
                <h:selectOneMenu id="tipoTramiteDocumentoCorrecto"
                                 label="Tipo trámite/documento correcto" value="#{reclasificarDocTra.codigoTipoTramiteNuevo}" required="true">
                    <f:selectItem itemLabel="Seleccionar..." />
                    <f:selectItems value="#{reclasificarDocTra.tiposTramiteCombo}" />
                </h:selectOneMenu>
                <p:message for="tipoTramiteDocumentoCorrecto" display="icon" />
            </h:panelGrid>

        </h:panelGrid>
    </p:fieldset>

    <p:spacer height="10" width="0" />

    <h:panelGrid columns="1" cellspacing="7">
        <p:commandButton value="Aceptar" icon="ui-icon-disk" 
                         action="#{reclasificarDocTra.reclasificarTramite}"
                         process="@form"
                         onstart="statusDialog.show();"
                         onsuccess="statusDialog.hide();reclasificarTramiteDocumentoDialogWV.hide()"/>
    </h:panelGrid>
</h:form>


